Create DPU Extension Service
Create a DPU Extension Service for the current Tenant.
Org must have a Tenant entity. User must have FORGE_TENANT_ADMIN authorization role.
Authentication
AuthorizationBearer
```
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current
```
Path parameters
org
Request
This endpoint expects an object.
name
Name for the DPU Extension Service. Must be unique for a given Tenant
serviceType
Type of the DPU Extension Service
Allowed values:
siteId
ID for the Site the DPU Extension Service belongs to
data
Deployment spec for the DPU Extension Service
description
Optional description for the DPU Extension Service
credentials
Credentials to download resources specified in DPU Extension Service data
observability
Observability configuration for the DPU Extension Service version
Response
Created
id
Unique identifier for the DPU Extension Service
name
Name for the DPU Extension Service. Must be unique for a given Tenant
description
Optional description for the DPU Extension Service
serviceType
Type of the DPU Extension Service
Allowed values:
siteId
ID for the Site the DPU Extension Service belongs to
tenantId
ID for the Tenant the DPU Extension Service belongs to
version
Latest version of the DPU Extension Service
versionInfo
Details for the latest version of the DPU Extension Service
activeVersions
Latest and past versions of this DPU Extension Service that have not been deleted and are available for deployment
status
Status of the DPU Extension Service
Allowed values:
statusHistory
History of the DPU Extension Service statuses
created
Date/time when the DPU Extension Service was created
updated
Date/time when the DPU Extension Service was last updated
Errors
400
Bad Request Error
403
Forbidden Error